Retrieves the job status with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Status code

string
name

Status name

string
system_job_status_id

globally unique identifier
system_job_status_code

string
sequence

Status order

integer
color_text

Status color

string
archived

Status archived?

boolean
is_readonly_on_api

Gives the possibility to alter the row using the API

boolean
usable_on_api

Specifies if can be used when create, update or changestatus of jobs

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "12921402-0b44-4df1-b363-f56aba2557fa",
  "code": "sample string 2",
  "name": "sample string 3",
  "system_job_status_id": "c3f48d18-f2cc-46ce-bd99-0b4ab383bff5",
  "system_job_status_code": "sample string 5",
  "sequence": 6,
  "color_text": "sample string 7",
  "archived": true,
  "is_readonly_on_api": true,
  "usable_on_api": true,
  "modified_dateutc": "2026-07-29T14:51:53.7906648+00:00"
}